<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%; background-image: url('images/main_bg.gif');" summary="">
	<TR>
		<TD height="100">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/tbg_l.gif" border="0" alt=""/></td>
					<td width="100%" style="background-image: url('images/tbg.gif');"></td>
					<td><img src="images/tbg_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="39">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/hbg_l.gif" border="0" alt=""/></td>
					<td width="100%" style="background-image: url('images/hbg.gif');"></td>
					<td><img src="images/hbg_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td valign="top" style="background-image: url('images/lbg.gif');"><img src="images/lbg_t.gif" border="0" alt=""/></td>
					<td style="background-color: #F0F0F0; background-image: url('images/submenu_tbg.gif'); background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
							<tr>
								<td height="143">
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0" summary="" align="center">
										<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
										<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
										<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
									<!-- END LOGO -->
								</td>
							</tr>
							<tr>
								<td height="100%" valign="top" style="padding: 20px 5px 0 0;">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="165" align="center" summary="">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>
									<!-- END SUBMENU -->
								</td>
							</tr>
						</table>
						<div style="width:190px; height:0px;"><span></span></div>
					</td>
					<td width="100%" class="main-bg" style="background-image: url('images/bg_l.gif'); background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_r.gif'); background-position: right; background-repeat: repeat-y;">
							<tr>
								<td style="background-image: url('images/bg_t.gif'); background-position: top; background-repeat: repeat-x;">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_tl.gif'); background-repeat: no-repeat;">
										<tr>
											<td valign="top" style="background-image: url('images/bg_tr.gif'); background-position: top right; background-repeat: no-repeat;">
												<!-- MENU -->
												<table cellpadding="0" cellspacing="0" align="center" summary="">
													<tr>
														<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
														<xsl:call-template name="TOP-MENU"/>
														<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
													</tr>
												</table>
												<!-- END MENU -->
												<div style="padding: 10px;">
													<div style="height:1px; background-image: url('images/line.gif');"><span></span></div>
												</div>
												<!-- CONTENT -->
												<div class="text-header" style="padding: 0 10px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
												<table cellpadding="0" cellspacing="0" border="0" summary="">
													<tr>
														<td class="pageContent" style="padding: 10px;">
															<xsl:apply-templates select="PAGE-CONTENT"/>
														</td>
													</tr>
												</table>

												<!-- END CONTENT -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td style="background-image: url('images/rbg.gif'); background-repeat: repeat-y;"><img src="images/rbg_t.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="227" style="background-image: url('images/bbg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bbg_r.jpg'); background-position: bottom right; background-repeat: no-repeat;">
				<tr>
					<td valign="top" class="footer" style="padding: 0 130px 0 340px; background-image: url('images/header.jpg'); background-position: bottom left; background-repeat: no-repeat;">
						<div style="padding: 10px 0;">
							<div style="height:1px; background-image: url('images/line.gif');"><span></span></div>
						</div>
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 10px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 10px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-color:  #DDDDDD;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
