<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="45px" height="137px"><img src="images/top_left.gif" width="45px" height="137px"/></td>
    <td height="137px" colspan="2"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="21px" height="137px"><img src="images/menu_left.gif" width="21px" height="137px"/></td>
        <td height="137px" background="images/top_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="31px"></td>
          </tr>
          <tr>
            <td height="106px" style="padding-left:30px; "><table border="0" cellspacing="0" cellpadding="0">
              <tr>
			  <!--MENU-->
                <xsl:call-template name="TOP-MENU"/>
				<!--END MENU-->
              </tr>
            </table></td>
          </tr>
        </table></td>
        <td width="23px" height="137px"><img src="images/menu_right.gif" width="23px" height="137px"/></td>
      </tr>
    </table></td>
    <td width="41px" height="137px"><img src="images/top_right.gif" width="41px" height="137px"/></td>
  </tr>
  <tr>
    <td width="45px" height="549px" valign="top" background="images/bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="270px" background="images/header_left.gif"></td>
      </tr>
      <tr>
        <td height="279px" background="images/bg.gif"></td>
      </tr>
    </table></td>
    <td width="249px" height="549px" background="images/bg.gif" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="270px" background="images/bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="270px" style="background:url(images/logo_bg.gif) top right no-repeat;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
             <!--LOGO-->
			  <tr>
                <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="9px" align="right" valign="top" ><div style="width:9px; "></div><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                    <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td style="padding-left:27px; " class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
			  <!--END LOGO-->
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="279px" background="images/bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="63px"><img src="images/submenu_top.gif" width="249px" height="63px"/></td>
          </tr>
          <tr>
            <td height="152px" background="images/submenu_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <!--SUBMENU-->
			  <tr>
                <td height="152px" valign="top" style="background:url(images/submenu_middle.gif) bottom left no-repeat; padding-left:30px;padding-right:30px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  
					<xsl:call-template name="SUB-MENU">
               			      <xsl:with-param name="pageID" select="@ID"/>     
							  </xsl:call-template>
                      
                    
                  
                  <!--END SUBMENU-->
                </table></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="64px"><img src="images/submenu_bottom.gif" width="249px" height="64px"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td height="549px"  valign="top" background="images/bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="270px" align="left" background="images/header_link.gif"><img src="images/header.jpg" width="445px" height="270px"/></td>
      </tr>
      <tr>
        <td height="279px" background="images/bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <!--CONTENT-->
            <td height="279px" align="left" style="background:url(images/content.gif) top left no-repeat;"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td style="padding-left:50px; " class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td align="left" style="padding-left:8px;"><img src="images/txtheader_bullet.gif" width="17px" height="17px"/></td>
              </tr>
            </table>            
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
			<tr>
			<td style="padding-left:50px;padding-right:50px; " class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
			</tr>
			</table></td>
			  <!--END CONTENT-->
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td width="41px" height="549px" valign="top" background="images/bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="270px" background="images/header_right.gif"></td>
      </tr>
      <tr>
        <td height="279px" background="images/bg.gif"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="45px" height="64px" background="images/bg.gif"></td>
    <td height="64px" background="images/bg.gif"></td>
    <td height="64px" background="images/bg.gif" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
	  <!--FOOTER-->
        <td class="footer" style="padding-left:50px; "><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
		<!--END FOOTER-->
      </tr>
    </table></td>
    <td width="41px" height="64px" background="images/bg.gif"></td>
  </tr>
</table>
</body>
</html>

</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
                    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
					<tr>
                        <td height="30px" class="asubmenu" style="padding-left:6px;background-color:#F88808 "><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                        <td width="9px" style="background-color:#F88808"><img src="images/submenu_click.gif" width="6px" height="5px" border="0"/></td>
        			</tr>
					</table></td>
         </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
                    <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
					<tr>
                        <td height="30px" style="padding-left:6px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                        <td width="9px" ><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="6px" height="5px" border="0"/></a></td>
        			</tr>
					</table></td>
         </tr>
			
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		 <tr>
                    <td><img src="images/submenu_hr.gif" width="174px" height="1px" border="0"/></td>
         </tr>
	</xsl:if>
</xsl:template>	

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>


