<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" summary="" class="main-bg" style="width: 100%; height: 100%; background-image: url('images/submenu_bg.gif'); background-position: top left; background-repeat: repeat-y;">
	<tr>
		<td style="background-image: url('images/header_bg.gif'); background-position: top left; background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
				<tr>
					<td height="100%" style="background-image: url('images/header_l.jpg'); background-position: top left; background-repeat: no-repeat;">
						<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%;" summary="">
							<TR>
								<TD height="194">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
										<tr>
											<td style="padding-right: 270px;">
												<!-- MENU -->
												<table cellpadding="0" cellspacing="0" summary="">
													<tr>
														<td width="35"><div style="width:5px; height:0px;"><span></span></div></td>
														<xsl:call-template name="TOP-MENU"/>
													</tr>
												</table>
												<!-- END MENU -->
											</td>
										</tr>
										<tr>
											<td height="100%" style="padding: 5px 450px 5px 35px;">
												<!-- LOGO -->
												<table cellpadding="0" cellspacing="0" summary="">
													<tr>
														<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
														<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
													</tr>
													<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
												</table>
												<!-- END LOGO -->
											</td>
										</tr>
									</table>
								</TD>
							</TR>
							<TR>
								<TD height="100%" name="SB_stretch" valign="top">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
										<tr valign="top">
											<td style="padding-top: 42px;">
												<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" width="135" align="center" summary="">
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
												</table>
												<!-- END SUBMENU -->
												<div style="width:197px; height:0px;"><span></span></div>
											</td>
											<td class="pageContent" width="100%" style="padding: 117px 50px 5px 44px;">
												<!-- CONTENT -->
												<table cellpadding="0" cellspacing="0" border="0" summary="">
													<tr>
														<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
														<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
													</tr>
												</table>
												<div style="width:0px; height:15px;"><span></span></div>
												<xsl:apply-templates select="PAGE-CONTENT"/>
												<!-- END CONTENT -->
											</td>
										</tr>
									</table>
								</TD>
							</TR>
						</TABLE>
					</td>
				</tr>
				<tr>
					<td height="109" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/footer_l.jpg'); background-repeat: no-repeat;">
							<tr>
								<td style="background-image: url('images/footer_r.jpg'); background-position: right; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
										<tr>
											<td height="100%" valign="top" align="right" class="footer" style="padding: 0 50px 0 400px;">
												<!-- FOOTER -->
												<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
												<!-- END FOOTER -->
											</td>
										</tr>
										<tr>
											<td>
												<!-- BOTTOM MENU -->
												<table cellpadding="0" cellspacing="0" align="center" summary="">
													<tr>
														<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
														<xsl:call-template name="BOTTOM-MENU"/>
														<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
													</tr>
												</table>
												<!-- END BOOTTOM MENU -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
